Subject: Re: [PATCH v5 9/9] ref: add symlink ref content check for files backend

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 7 Oct 2024 08:58:50 +0200

On Sun, Sep 29, 2024 at 03:17:36PM +0800, shejialuo wrote:
> We have already introduced "files_fsck_symref_target". We should reuse
> this function to handle the symrefs which use legacy symbolic links. We
> should not check the trailing garbage for symbolic refs. Add a new
> parameter "symbolic_link" to disable some checks which should only be
> executed for textual symrefs.

You're getting into implementation details before noting what the actual
problem is. So I'd recommend first describing the problem at a higher
level, and then note that we can reuse parts of preexisting infra to
address the issue.

Patrick